/// <reference types="react" />
import { UseSelector } from '../core/useSelector';
import { GlobalContextProviderProps } from './createProvider';
import { GlobalContextReducers, GlobalContextValue, State } from './type';
export declare type CreateGlobalContextResult<T extends GlobalContextReducers> = [
    UseSelector<GlobalContextValue<T>>,
    React.FC<GlobalContextProviderProps<T>>,
    () => State<T>
];
export declare const createGlobalContext: <T extends GlobalContextReducers>(reducers: T) => CreateGlobalContextResult<T>;
