import { Provider } from 'react';
import { Subscription } from '../core/subscription';
import { GlobalContextReducers, GlobalContextValue, PartialState } from './type';
export declare type GlobalContextProviderProps<T extends GlobalContextReducers> = Readonly<{
    state?: PartialState<T>;
}>;
export declare const createProvider: <T extends GlobalContextReducers>({ reducers, subscription, initialStore, ContextProvider, }: {
    reducers: T;
    subscription: Subscription<GlobalContextValue<T>>;
    initialStore: GlobalContextValue<T>;
    ContextProvider: Provider<GlobalContextValue<T>>;
}) => import("react").FC<Readonly<{
    state?: PartialState<T> | undefined;
}>>;
